<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.sfds.mapper.BankDsdzhzMapper">

  <resultMap id="bankDsdzhzMap" type="com.tofly.feesapi.sfds.entity.BankDsdzhz">
                <id property="id" column="ID"/>
                                                                                                                              <result property="yhzwrq" column="YHZWRQ"/>
                      <result property="fffs" column="FFFS"/>
                      <result property="xzbs" column="XZBS"/>
                      <result property="xzje" column="XZJE"/>
                      <result property="jfbs" column="JFBS"/>
                      <result property="jfje" column="JFJE"/>
                      <result property="dzbz" column="DZBZ"/>
                      <result property="yhdm" column="YHDM"/>
                      <result property="dzrq" column="DZRQ"/>
                                                                                                                                                                                                                                                                                        </resultMap>
    <select id="getPage" resultType="com.tofly.feesapi.sfds.entity.dto.BankDsdzhzSelect">
        SELECT a.* FROM bank_dsdzhz a
        WHERE 1 = 1
        <if test="filter.yhdm!=null">
            AND a.yhdm = #{filter.yhdm}
        </if>
        <if test="filter.dzbz!=null">
            AND a.dzbz = #{filter.dzbz}
        </if>
        <if test="filter.yhzwrqStart!=null and filter.yhzwrqEnd!=null">
            AND a.yhzwrq BETWEEN #{filter.yhzwrqStart} AND
            #{filter.yhzwrqEnd}
        </if>
        <if test="orders!=null">
            order by a.yhzwrq asc
        </if>
    </select>


</mapper>
